<?php
namespace App\ViewModels\Exame\ExameRegistrationViewModel;

use App\Utils\Builder;

class ExameRegistrationViewModelBuilder implements Builder
{
    protected $nome;

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function build() : ExameRegistrationViewModel
    {
        $procedimento_registration_vm = new ExameRegistrationViewModel ();
        $procedimento_registration_vm->setNome($this->nome);
        return $procedimento_registration_vm;
    }


}